g2bAPI Reference
Messages

Send a message

Appends a message to an idle task and admits a new durable agent run.

POST
/v1/tasks/{id}/messages

Appends a message to an idle task and admits a new durable agent run.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tasks/string/messages" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{  "status": "accepted",  "run_id": "string",  "run_status": "queued",  "message_id": "string",  "run_url": "string",  "events_url": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}